﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Credential;
<table border="0">
    <tr>
        <td>
            <div class="selFromTo">
                <div class="selLabel0">
                    PC Date from
                </div>
                <div class="selDatum">
                    @Html.DevExpress().DateEdit(
                    e =>
                    {
                        e.Name = "PCDate";
                        
                        e.Width = 100;
                        e.Height = 25;
                        e.Properties.ClientInstanceName = "PCDate";
                        e.Properties.DisplayFormatString = "dd.MM.yyyy";
                        e.Properties.EditFormatString = "dd.MM.yyyy";                        

                        e.Date = DateTime.Now.AddMonths(-6);
                    }).GetHtml()
                </div>
                <div class="selLabel0">
                    To
                </div>
                <div class="selDatum">
                    @Html.DevExpress().DateEdit(
                    e =>
                    {
                        e.Name = "PCTo";
                        e.Width = 100;
                        e.Height = 25;
                        e.Properties.ClientInstanceName = "PCTo";
                        e.Properties.DisplayFormatString = "dd.MM.yyyy";
                        e.Properties.EditFormatString = "dd.MM.yyyy";
                        e.Date = DateTime.Now;
                    }).GetHtml()
                </div>
            </div>
            <div class="vfill">&nbsp;</div>
            <div class="selFromTo">
                
                <div class="selLabel">
                    Effective Date from
                </div>
                <div class="selDatum">
                    @Html.DevExpress().DateEdit(
                    e =>
                    {
                        e.Name = "EffectiveDate";
                
                        e.Width = 100;
                        e.Height = 25;
                        e.Properties.ClientInstanceName = "EffectiveDate";
                        e.Properties.DisplayFormatString = "dd.MM.yyyy";
                        e.Properties.EditFormatString = "dd.MM.yyyy";

                    }).GetHtml()
                </div>
                <div class="selLabel01">
                    To
                </div>
                <div class="selDatum">
                    @Html.DevExpress().DateEdit(
                    e =>
                    {
                        e.Name = "EffectiveDateTo";
                        e.Width = 100;
                        e.Height = 25;
                        e.Properties.ClientInstanceName = "EffectiveDateTo";
                        e.Properties.DisplayFormatString = "dd.MM.yyyy";
                        e.Properties.EditFormatString = "dd.MM.yyyy";
                    }).GetHtml()
                </div>
            </div>
        </td>
    </tr>
    <tr>
        <td >
            <div class="rowWrap">
                <div class="selLabel0">
                    Supplier
                </div>
                <div class="selent">
                    @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlLPHeader";
                s.GridProperties.KeyFieldName = "SupplierCode";
                s.Width = Unit.Percentage(100);
                s.GridProperties.CallbackRouteValues = new { Controller = "PcToBeReleased", Action = "SupplierPartial" };
                s.GridProperties.Width = Unit.Pixel(213);
                s.GridProperties.Height = Unit.Pixel(500);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierCode";
                    c.FieldName = "SupplierCode";
                    c.Caption = "Supplier Code";
                    c.Width = Unit.Pixel(90);
                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierName";
                    c.FieldName = "SupplierName";
                    c.Caption = "Supplier Name";
                });
            }).Bind(ViewData["ListSupplierData"]).GetHtml()
                </div>
                @*
                <div class="selLabel01">
                    Status
                </div>
                <div class="selent">
                    @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "GridStatusPO";
                s.GridProperties.KeyFieldName = "StatusCode";
                s.Width = Unit.Pixel(100);
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                s.GridProperties.Width = Unit.Pixel(200);
                s.GridProperties.CallbackRouteValues = new { Controller = "POApproval", Action = "StatusPurchaseOrder" };
                s.GridProperties.Height = 100;
                s.GridProperties.CommandColumn.Width = Unit.Pixel(30);
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "StatusCode";
                    c.FieldName = "StatusCode";
                    c.Caption = "Status Code";
                    c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    c.Width = Unit.Pixel(120);
                });
            }).Bind(ViewData["StatusPO"]).GetHtml()
                </div>*@
              


               

                  <div class="selLabel0">
                    Current PIC
                </div>
                <div class="selent">
                    @Html.DevExpress().TextBox(
                e =>
                {
                    e.Properties.ClientInstanceName = "CurrentPIC";
                    e.Properties.EnableClientSideAPI = true;
                    e.Name = "CurrentPIC";
                    e.Width = Unit.Percentage(100);
                    e.Enabled = true;                    
                }).GetHtml()
                </div>

                 <div class="vfill">&nbsp;</div>

                 <div class="selLabel">
                    PC No
                </div>
                <div class="selPCNo">
                    @Html.DevExpress().TextBox(
                e =>
                {
                    e.Properties.ClientInstanceName = "grlLPHeaderPCNo";
                    e.Properties.EnableClientSideAPI = true;
                    e.Name = "grlLPHeaderPCNo";
                    e.Width = Unit.Percentage(100);
                    e.Enabled = true;
                }).GetHtml()
                </div>
            </div>
        </td>
    </tr>
    <tr>
        <td >
            <div class="buWrap">
                <div class="buleft">
                    <div class="tdbutop">
                       @Html.DevExpress().Button(
                                e =>
                                {
                                    e.Text = "Release Approval";
                                    e.Name = "ReleaseApproval";
                                    e.Width = 130;
                                    e.ClientSideEvents.Click = "CheckValidationApprove";
                                }).GetHtml()
                    </div>

                    <div class="tdbutop">
                      @Html.DevExpress().Button(
                                    e =>
                                    {
                                        e.Text = "Reject";
                                        e.Name = "Reject";
                                        e.Width = Unit.Pixel(80);
                                        e.ClientSideEvents.Click = "CheckValidationReject";
                                    }).GetHtml()
                    </div>

                    <div class="tdbutop">
                       @Html.DevExpress().Button(
                                e =>
                                {
                                    e.Text = "Redirect";
                                    e.Name = "Redirect";
                                    e.Width = Unit.Pixel(80);
                                    e.ClientSideEvents.Click = "CheckValidationRedirect";
                                }).GetHtml()
                    </div>

                    <div class="tdbutop">
                     @Html.DevExpress().Button(
                                    e =>
                                    {
                                        e.Text = "Download";
                                        e.Name = "Download";
                                        e.Width = Unit.Pixel(80);
                                        e.ClientSideEvents.Click = "ExportToXLS";
                                    }).GetHtml()
                    </div>

                    <div class="tdbutop">
                     @Html.DevExpress().TextBox(
                                b =>
                                {
                                    b.Name = "Position";
                                    b.Width = 95;
                                    b.Height = 25;
                                    b.ClientVisible = false;
                                }).Bind(ViewData["Position"]).GetHtml()
                    </div>
                </div>

                <div class="buright">

                    <div class="tdbutop">
                      @Html.DevExpress().Button(e =>
                                    {
                                        e.Text = "Regis PC";
                                        e.Name = "RegisPC";
                                        e.Width = Unit.Pixel(80);
                                        e.ClientVisible = false;
                                        e.ClientSideEvents.Click = "AddRegis";
                                    }).GetHtml()
                    </div>


                    <div class="tdbutop">
                     @Html.DevExpress().Button(b =>
                        {
                            b.Name = "btnSearch";
                            b.Text = "Search";
                            b.Width = 80;
                            b.Height = 20;
                            b.UseSubmitBehavior = true;
                            b.ClientSideEvents.Click = "btnSearchClick";
                            b.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        }).GetHtml()
                    </div>
                
                
                    <div class="tdbutop">
                     @Html.DevExpress().Button(b =>
                        {
                            b.Name = "btnClear";
                            b.Text = "Clear";
                            b.Width = 80;
                            b.Height = 20;
                            b.UseSubmitBehavior = true;
                            b.ClientSideEvents.Click = "Clear";
                            b.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                        }).GetHtml()
                    </div>
                </div>
            </div>
        </td>
    </tr>
</table>
